#include <bits/stdc++.h>
typedef int_fast64_t lli;
using namespace std;
signed main()
{
    ios_base::sync_with_stdio(NULL);
    cin.tie(nullptr);
    cout.tie(nullptr);
    lli n;
    cin >> n;
    vector<lli> a(n+1, 0);
    for(lli i = 0, x; i < n; i++) cin >> x, a[x]++;
    lli d = 0, ans = 0;
    for(lli i = n; i >= 0; i--)
        if(a[i] - d > 0) ans += i*(a[i] - d), d++;
    cout << ans << endl;
}
